[BioMart Users] Upgrading a 0.7 Mart to 0.8

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

[BioMart Users] Upgrading a 0.7 Mart to 0.8

Ellen Adlem
Hi All,

I am trying to upgrade a 0.7 mart to 0.8 (rc4).  I get so far and then
ask the marteditor to add the relational mart and get a stack trace
error back:-

java.lang.NullPointerException
     at org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:138)
     at org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:136)
     at java.util.TreeMap.getEntryUsingComparator(TreeMap.java:351)
     at java.util.TreeMap.getEntry(TreeMap.java:322)
     at java.util.TreeMap.get(TreeMap.java:255)
     at org.biomart.objects.objects.Mart.getTableByName(Mart.java:95)
     at
org.biomart.configurator.controller.MartController.requestCreateDataSetFromTarget(MartController.java:1071)
     at
org.biomart.configurator.controller.MartController.requestCreateMartsFromTarget(MartController.java:923)
     at
org.biomart.configurator.controller.ObjectController.initMarts(ObjectController.java:184)
     at
org.biomart.configurator.controller.ObjectController$1.construct(ObjectController.java:88)
     at org.biomart.common.view.gui.SwingWorker$2.run(SwingWorker.java:128)
     at java.lang.Thread.run(Thread.java:662)


Not really sure how to proceed - any advice please?

Cheers,
Ellen.

--
[hidden email]
JDRF/WT Diabetes and Inflammation Laboratory (DIL)
Cambridge Institute for Medical Research (CIMR)
Wellcome Trust/MRC Building
Addenbrooke's Hospital Hills Road Cambridge CB2 0XY
Tel: 01223 763215

_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Syed Haider
Hi Ellen,

Did you use Add Source (Relational Mart) option ?

Did you say Yes to "Use Existing configs" message ?

How far did you go before you hit the exception ?

Syed

On 24/02/2011 14:06, Ellen Adlem wrote:

> Hi All,
>
> I am trying to upgrade a 0.7 mart to 0.8 (rc4).  I get so far and then
> ask the marteditor to add the relational mart and get a stack trace
> error back:-
>
> java.lang.NullPointerException
>       at org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:138)
>       at org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:136)
>       at java.util.TreeMap.getEntryUsingComparator(TreeMap.java:351)
>       at java.util.TreeMap.getEntry(TreeMap.java:322)
>       at java.util.TreeMap.get(TreeMap.java:255)
>       at org.biomart.objects.objects.Mart.getTableByName(Mart.java:95)
>       at
> org.biomart.configurator.controller.MartController.requestCreateDataSetFromTarget(MartController.java:1071)
>       at
> org.biomart.configurator.controller.MartController.requestCreateMartsFromTarget(MartController.java:923)
>       at
> org.biomart.configurator.controller.ObjectController.initMarts(ObjectController.java:184)
>       at
> org.biomart.configurator.controller.ObjectController$1.construct(ObjectController.java:88)
>       at org.biomart.common.view.gui.SwingWorker$2.run(SwingWorker.java:128)
>       at java.lang.Thread.run(Thread.java:662)
>
>
> Not really sure how to proceed - any advice please?
>
> Cheers,
> Ellen.
>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Ellen Adlem
Hi Syed,

Thanks for the prompt response.

Yes I used Add Source (Relational Mart) option and then said no to "Use
Existing Configs" as I wanted it to overwrite what was there already.

It loaded the main tables in the righthand panel and I selected the one
I wanted and clicked Add.  This is when the error was thrown.

Hope that helps a bit more?

Ellen.

--
[hidden email]
JDRF/WT Diabetes and Inflammation Laboratory (DIL)
Cambridge Institute for Medical Research (CIMR)
Wellcome Trust/MRC Building
Addenbrooke's Hospital Hills Road Cambridge CB2 0XY
Tel: 01223 763215


On 24/02/11 14:08, Syed Haider wrote:

> Hi Ellen,
>
> Did you use Add Source (Relational Mart) option ?
>
> Did you say Yes to "Use Existing configs" message ?
>
> How far did you go before you hit the exception ?
>
> Syed
>
> On 24/02/2011 14:06, Ellen Adlem wrote:
>> Hi All,
>>
>> I am trying to upgrade a 0.7 mart to 0.8 (rc4).  I get so far and then
>> ask the marteditor to add the relational mart and get a stack trace
>> error back:-
>>
>> java.lang.NullPointerException
>>       at
>> org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:138)
>>       at
>> org.biomart.configurator.utils.McUtils$1.compare(McUtils.java:136)
>>       at java.util.TreeMap.getEntryUsingComparator(TreeMap.java:351)
>>       at java.util.TreeMap.getEntry(TreeMap.java:322)
>>       at java.util.TreeMap.get(TreeMap.java:255)
>>       at org.biomart.objects.objects.Mart.getTableByName(Mart.java:95)
>>       at
>> org.biomart.configurator.controller.MartController.requestCreateDataSetFromTarget(MartController.java:1071)
>>
>>       at
>> org.biomart.configurator.controller.MartController.requestCreateMartsFromTarget(MartController.java:923)
>>
>>       at
>> org.biomart.configurator.controller.ObjectController.initMarts(ObjectController.java:184)
>>
>>       at
>> org.biomart.configurator.controller.ObjectController$1.construct(ObjectController.java:88)
>>
>>       at
>> org.biomart.common.view.gui.SwingWorker$2.run(SwingWorker.java:128)
>>       at java.lang.Thread.run(Thread.java:662)
>>
>>
>> Not really sure how to proceed - any advice please?
>>
>> Cheers,
>> Ellen.
>>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Syed Haider
So what happens if you say 'Yes' to existing configs ?

Syed

On 24/02/2011 14:11, Ellen Adlem wrote:

> Hi Syed,
>
> Thanks for the prompt response.
>
> Yes I used Add Source (Relational Mart) option and then said no to "Use
> Existing Configs" as I wanted it to overwrite what was there already.
>
> It loaded the main tables in the righthand panel and I selected the one
> I wanted and clicked Add.  This is when the error was thrown.
>
> Hope that helps a bit more?
>
> Ellen.
>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Ellen Adlem
Nothing on the screen (just returns to the original starting screen with
the add new data source "button"), but this on the command line where I
started the martconfigurator...

[Thread-6] ERROR martconfigurator - Done
ERROR [Thread-6] (Log.java:197) - Done

Thanks,
Ellen.

--
[hidden email]
JDRF/WT Diabetes and Inflammation Laboratory (DIL)
Cambridge Institute for Medical Research (CIMR)
Wellcome Trust/MRC Building
Addenbrooke's Hospital Hills Road Cambridge CB2 0XY
Tel: 01223 763215


On 24/02/11 14:17, Syed Haider wrote:

> So what happens if you say 'Yes' to existing configs ?
>
> Syed
>
> On 24/02/2011 14:11, Ellen Adlem wrote:
>> Hi Syed,
>>
>> Thanks for the prompt response.
>>
>> Yes I used Add Source (Relational Mart) option and then said no to "Use
>> Existing Configs" as I wanted it to overwrite what was there already.
>>
>> It loaded the main tables in the righthand panel and I selected the one
>> I wanted and clicked Add.  This is when the error was thrown.
>>
>> Hope that helps a bit more?
>>
>> Ellen.
>>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Syed Haider
Seems to me a bug that we need to track down.

meanwhile, could you help us with two pieces of info:

1-  what happens if use Add Source, Source Schema option ?
2- Send us your XMLs, you can do 'Save All' using old marteditor (send
these off-the-list please)

thanks
Syed


On 24/02/2011 14:26, Ellen Adlem wrote:

> Nothing on the screen (just returns to the original starting screen with
> the add new data source "button"), but this on the command line where I
> started the martconfigurator...
>
> [Thread-6] ERROR martconfigurator - Done
> ERROR [Thread-6] (Log.java:197) - Done
>
> Thanks,
> Ellen.
>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [BioMart Users] Upgrading a 0.7 Mart to 0.8

Ellen Adlem
OK, thanks for that :-)

1. Works fine and I can proceed.
2. Will send this to you.

Thanks,
Ellen.

--
[hidden email]
JDRF/WT Diabetes and Inflammation Laboratory (DIL)
Cambridge Institute for Medical Research (CIMR)
Wellcome Trust/MRC Building
Addenbrooke's Hospital Hills Road Cambridge CB2 0XY
Tel: 01223 763215


On 24/02/11 14:33, Syed Haider wrote:

> Seems to me a bug that we need to track down.
>
> meanwhile, could you help us with two pieces of info:
>
> 1-  what happens if use Add Source, Source Schema option ?
> 2- Send us your XMLs, you can do 'Save All' using old marteditor (send
> these off-the-list please)
>
> thanks
> Syed
>
>
> On 24/02/2011 14:26, Ellen Adlem wrote:
>> Nothing on the screen (just returns to the original starting screen with
>> the add new data source "button"), but this on the command line where I
>> started the martconfigurator...
>>
>> [Thread-6] ERROR martconfigurator - Done
>> ERROR [Thread-6] (Log.java:197) - Done
>>
>> Thanks,
>> Ellen.
>>
_______________________________________________
Users mailing list
[hidden email]
https://lists.biomart.org/mailman/listinfo/users